Get complete history for a model (Admin only)
curl --request GET \
--url https://cloud-api.near.ai/v1/admin/models/{model_name}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/admin/models/{model_name}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/admin/models/{model_name}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history": [
{
"allowFree": true,
"contextLength": 123,
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"createdAt": "<string>",
"effectiveFrom": "<string>",
"id": "<string>",
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"isActive": true,
"modelDescription": "<string>",
"modelDisplayName": "<string>",
"modelId": "<string>",
"modelName": "<string>",
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"ownedBy": "<string>",
"verifiable": true,
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"changeReason": "<string>",
"changedByUserEmail": "<string>",
"changedByUserId": "<string>",
"datacenters": [
{
"country_code": "<string>"
}
],
"deprecationDate": "<string>",
"effectiveUntil": "<string>",
"huggingFaceId": "<string>",
"inferenceUrl": "<string>",
"inputModalities": [
"<string>"
],
"isReady": true,
"maxOutputLength": 123,
"modelIcon": "<string>",
"openrouterSlug": "<string>",
"outputModalities": [
"<string>"
],
"quantization": "<string>",
"supportedFeatures": [
"<string>"
],
"supportedSamplingParameters": [
"<string>"
]
}
],
"limit": 123,
"modelName": "<string>",
"offset": 123,
"total": 123
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Admin
Get complete history for a model (Admin only)
Returns the complete history for a specific model, showing all changes over time including pricing, context length, display name, and description.
Note: Model names containing forward slashes (e.g., “Qwen/Qwen3-30B-A3B-Instruct-2507”) must be URL-encoded. For example, use “Qwen%2FQwen3-30B-A3B-Instruct-2507” in the URL path.
GET
/
v1
/
admin
/
models
/
{model_name}
/
history
Get complete history for a model (Admin only)
Authorizations
JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.
Path Parameters
Model name to get complete history for (URL-encode if it contains slashes)
Query Parameters
Maximum number of history entries to return (default: 50)
Number of history entries to skip (default: 0)